package cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 客户结算信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerSettlementPageReqVO extends PageParam {

    @Schema(description = "客户id", example = "11477")
    private Long customerId;

    @Schema(description = "业务类型（1：物流辅助服务、2：设备销售、 3：设备维护、4：系统集成、5：叉车改造）", example = "1")
    private Integer businessType;

    @Schema(description = "结算月份")
    private String settlementMonth;

    @Schema(description = "预结算金额")
    private BigDecimal preSettlementAmount;

    @Schema(description = "扣款金额")
    private BigDecimal deductionAmount;

    @Schema(description = "结算金额")
    private BigDecimal settlementAmount;

    @Schema(description = "结算公司id", example = "3044")
    private Long companyId;

    @Schema(description = "上传附件", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}