package cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo;

import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.upload.UploadUserFile;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 客户结算信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CustomerSettlementRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16752")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "客户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "11477")
    @ExcelProperty("客户id")
    private Long customerId;

    @Schema(description = "业务类型（1：物流辅助服务、2：设备销售、 3：设备维护、4：系统集成、5：叉车改造）", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("业务类型（1：物流辅助服务、2：设备销售、 3：设备维护、4：系统集成、5：叉车改造）")
    private Integer businessType;

    @Schema(description = "结算月份", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("结算月份")
    private String settlementMonth;

    @Schema(description = "预结算金额")
    @ExcelProperty("预结算金额")
    private BigDecimal preSettlementAmount;

    @Schema(description = "扣款金额")
    @ExcelProperty("扣款金额")
    private BigDecimal deductionAmount;

    @Schema(description = "结算金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("结算金额")
    private BigDecimal settlementAmount;

    @Schema(description = "结算公司id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3044")
    @ExcelProperty("结算公司id")
    private Long companyId;

    @Schema(description = "上传附件", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    @ExcelProperty("上传附件")
    private List<UploadUserFile> url;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}