package cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo;

import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Schema(description = "管理后台 - 客户结算信息新增/修改 Request VO")
@Data
public class CustomerSettlementSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16752")
    private Long id;

    @Schema(description = "客户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "11477")
    @NotNull(message = "客户id不能为空")
    private Long customerId;

    @Schema(description = "业务类型（1：物流辅助服务、2：设备销售、 3：设备维护、4：系统集成、5：叉车改造）", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "业务类型（1：物流辅助服务、2：设备销售、 3：设备维护、4：系统集成、5：叉车改造）不能为空")
    private Integer businessType;

    @Schema(description = "结算月份", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "结算月份不能为空")
    private String settlementMonth;

    @Schema(description = "预结算金额")
    private BigDecimal preSettlementAmount;

    @Schema(description = "扣款金额")
    private BigDecimal deductionAmount;

    @Schema(description = "结算金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "结算金额不能为空")
    private BigDecimal settlementAmount;

    @Schema(description = "结算公司id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3044")
    @NotNull(message = "结算公司id不能为空")
    private Long companyId;

    @Schema(description = "上传附件", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    @NotEmpty(message = "上传附件不能为空")
    private List<UploadUserFile> url;

}