package cn.iocoder.yudao.module.system.dal.mysql.customersettlement;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.dal.dataobject.customersettlement.CustomerSettlementDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo.*;

/**
 * 客户结算信息 Mapper
 *
 * @author 陈宾顺
 */
@Mapper
public interface CustomerSettlementMapper extends BaseMapperX<CustomerSettlementDO> {

    default PageResult<CustomerSettlementDO> selectPage(CustomerSettlementPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CustomerSettlementDO>()
                .eqIfPresent(CustomerSettlementDO::getCustomerId, reqVO.getCustomerId())
                .eqIfPresent(CustomerSettlementDO::getBusinessType, reqVO.getBusinessType())
                .eqIfPresent(CustomerSettlementDO::getSettlementMonth, reqVO.getSettlementMonth())
                .eqIfPresent(CustomerSettlementDO::getPreSettlementAmount, reqVO.getPreSettlementAmount())
                .eqIfPresent(CustomerSettlementDO::getDeductionAmount, reqVO.getDeductionAmount())
                .eqIfPresent(CustomerSettlementDO::getSettlementAmount, reqVO.getSettlementAmount())
                .eqIfPresent(CustomerSettlementDO::getCompanyId, reqVO.getCompanyId())
                .eqIfPresent(CustomerSettlementDO::getUrl, reqVO.getUrl())
                .betweenIfPresent(CustomerSettlementDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(CustomerSettlementDO::getId));
    }

}