package cn.iocoder.yudao.module.system.service.customersettlement;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.customersettlement.CustomerSettlementDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 客户结算信息 Service 接口
 *
 * @author 陈宾顺
 */
public interface CustomerSettlementService {

    /**
     * 创建客户结算信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCustomerSettlement(@Valid CustomerSettlementSaveReqVO createReqVO);

    /**
     * 更新客户结算信息
     *
     * @param updateReqVO 更新信息
     */
    void updateCustomerSettlement(@Valid CustomerSettlementSaveReqVO updateReqVO);

    /**
     * 删除客户结算信息
     *
     * @param id 编号
     */
    void deleteCustomerSettlement(Long id);

    /**
     * 获得客户结算信息
     *
     * @param id 编号
     * @return 客户结算信息
     */
    CustomerSettlementDO getCustomerSettlement(Long id);

    /**
     * 获得客户结算信息分页
     *
     * @param pageReqVO 分页查询
     * @return 客户结算信息分页
     */
    PageResult<CustomerSettlementDO> getCustomerSettlementPage(CustomerSettlementPageReqVO pageReqVO);

}